Skip to content

Store a vault entry

POST
/api/v1/vault/{agent_role}/entries
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/vault/example/entries \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "description": "example", "entry_key": "example", "entry_type": "credential", "value": {} }'

Encrypt and store a secret value in the agent’s vault partition.

agent_role
required
Agent Role
string
Media typeapplication/json
VaultEntryCreate

Request model for storing a new vault entry.

object
description
Any of:
string
<= 500 characters
entry_key
required
Entry Key

Logical key for the vault entry (e.g. ‘stripe_api_key’)

string
<= 255 characters
entry_type
required
VaultEntryType

Category of the stored data

string
Allowed values: credential parameter preference
value
required
Value

The secret data to encrypt and store

object
key
additional properties
any

Successful Response

Media typeapplication/json
VaultEntryResponse

Response model for vault entry metadata (no decrypted value).

object
created_at
required
Created At
string format: date-time
description
required
Any of:
string
entry_key
required
Entry Key
string
entry_type
required
Entry Type
string
id
required
Id
string format: uuid
updated_at
required
Updated At
string format: date-time
Examplegenerated
{
"created_at": "2026-04-15T12:00:00Z",
"description": "example",
"entry_key": "example",
"entry_type": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"updated_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}